CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-4566

The DTLS support in radsecproxy before 1.6.2 does not properly verify certificates when there are configuration blocks with CA settings that are unrelated to the block being used for verifying the certificate chain, which might allow remote attackers to bypass intended access restrictions and spoof clients, a different vulnerability than CVE-2012-4523.
Publish Date : 2012-11-19 Last Update Date : 2012-11-20
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.4
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Bypass a restriction or similar
CWE ID 264

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2573-1 radsecproxy - SSL certificate verification weakness oval:org.mitre.oval:def:18256 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-4566

# Product Type Vendor Product Version Update Edition Language
1 Application Uninett Radsecproxy 1.0 P1 Version Details Vulnerabilities
2 Application Uninett Radsecproxy 1.0 Version Details Vulnerabilities
3 Application Uninett Radsecproxy 1.0 Alpha-p1 Version Details Vulnerabilities
4 Application Uninett Radsecproxy 1.0 Alpha Version Details Vulnerabilities
5 Application Uninett Radsecproxy 1.1 Alpha Version Details Vulnerabilities
6 Application Uninett Radsecproxy 1.1 Beta Version Details Vulnerabilities
7 Application Uninett Radsecproxy 1.1 Version Details Vulnerabilities
8 Application Uninett Radsecproxy 1.2 Version Details Vulnerabilities
9 Application Uninett Radsecproxy 1.3 Beta Version Details Vulnerabilities
10 Application Uninett Radsecproxy 1.3 Alpha Version Details Vulnerabilities
11 Application Uninett Radsecproxy 1.3.1 Version Details Vulnerabilities
12 Application Uninett Radsecproxy 1.4 Version Details Vulnerabilities
13 Application Uninett Radsecproxy 1.4.1 Version Details Vulnerabilities
14 Application Uninett Radsecproxy 1.4.2 Version Details Vulnerabilities
15 Application Uninett Radsecproxy 1.4.3 Version Details Vulnerabilities
16 Application Uninett Radsecproxy 1.5 Version Details Vulnerabilities
17 Application Uninett Radsecproxy 1.6 Version Details Vulnerabilities
18 Application Uninett Radsecproxy 1.6.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Uninett Radsecproxy 18

- References For CVE-2012-4566

http://git.nordu.net/?p=radsecproxy.git;a=commit;h=3682c935facf5ccd7fa600644bbb76957155c680 CONFIRM
https://postlister.uninett.no/sympa/arc/radsecproxy/2012-10/msg00001.html
MLIST [radsecproxy] 20121025 Radsecproxy 1.6.1 is out
http://www.debian.org/security/2012/dsa-2573
DEBIAN DSA-2573
http://secunia.com/advisories/51251
SECUNIA 51251
http://www.openwall.com/lists/oss-security/2012/10/17/7
MLIST [oss-security] 20121017 CVE request: radsecproxy incorrect x.509 certificate validation
http://www.openwall.com/lists/oss-security/2012/10/31/6
MLIST [oss-security] 20121031 Re: Re: CVE request: radsecproxy incorrect x.509 certificate validation
https://postlister.uninett.no/sympa/arc/radsecproxy/2012-09/msg00001.html
MLIST [radsecproxy] 20120913 Radsecproxy is mixing up pre- and post-TLS-handshake client verification

- Metasploit Modules Related To CVE-2012-4566

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.